DELUSER(8)

NAVN
deluser, delgroup - fjern en bruger eller gruppe fra systemet

SYNOPSIS
deluser [tilvalg] [--force] [--remove-home] [--remove-all-files] [--backup] [--backup-to DIR] bruger

deluser --group [tilvalg] gruppe
delgroup [tilvalg] [--only-if-empty] gruppe

deluser [tilvalg] brugergruppe

  GÆNGSE TILVALG
[--quiet] [--system] [--help] [--version] [--conf FIL]

BESKRIVELSE

deluser og delgroup fjerner brugere fra systemet jævnfør tilvalg på kommandolinjen og konfigurationsinformation i /etc/deluser.conf og /etc/adduser.conf. De er bedre brugerflader for programmerne userdel og groupdel med mulighed for at fjerne hjemmemappen eller endda alle filer på systemet ejet af brugeren der skal fjernes, køre et tilpasset skript og mange andre funktioner. deluser og delgroup kan køres i en af tre tilstande:

  Fjern en normal bruger
Hvis kaldt med et argument, der ikke er et tilvalg, og uden tilvalget --group, så vil deluser fjerne en normal bruger. Som standard så vil deluser fjerne brugeren uden at fjerne hjemmemappen, postpuljen eller andre filer på systemet ejet af brugeren. Fjernelse af hjemmemappen og postpuljen kan opnås ved at bruge tilvalget --remove-home. Tilvalget --remove-all-files fjerner alle filer på systemet ejet af brugeren. Bemærk at hvis du aktiverer begge tilvalg så vil --remove-home ikke have effekt da alle filer inklusiv hjemmemappen og postpuljen allerede er dækket af tilvalget --remove-all-files. Hvis du ønsker at lave sikkerhedskopi af alle filer før du sletter dem, så kan du aktivere tilvalget --backup, som vil oprette en fil brugernavn.tar(.gz|.bz2) i mappen angivet af tilvalget --backup-to (standard er den aktuelle arbejdsmappe). Indstillingen for fjernelse og indstillingen for sikkerhedskopi kan også aktiveres som standard i konfigurationsfilen /etc/deluser.conf. Se deluser.conf(5) for detaljer. Hvis du ønsker at fjerne administratorkontoen (root) (uid 0), så brug parameteren --force; dette kan forhindre at administratoren fjernes ved en fejl. Hvis filen /usr/local/sbin/deluser.local findes, så vil den blive kørt efter at brugerkontoen er blevet fjernet for at udføre en eventuel lokal oprydning. Argumenterne sendt til deluser.local er:
username uid gid home-directory

  Fjern en gruppe
Hvis deluser kaldes med tilvalget --group, eller delgroup kaldes, så vil en gruppe blive fjernet. Advarsel: Den primære gruppe for en eksisterende bruger kan ikke fjernes. Hvis tilvalget --only-if-empty er angivet, så vil gruppen ikke blive fjernet, hvis den har tilbageværende medlemmer.

  Fjern en bruger fra en specifik gruppe
Hvis kaldt med to argumenter uden tilvalg, så vil deluser fjerne en bruger fra en specifik gruppe.

TILVALG

--conf FIL
    Brug FIL i stedet for standardfilerne /etc/deluser.conf og /etc/adduser.conf

--group
    Fjern en gruppe. Dette er standardhandlingen hvis programmet igangsættes som delgroup.

--help
    Vis korte instruktioner.

--quiet
    Undertryk statusbeskeder.

--system
    Slet kun hvis bruger/gruppe er en systembruger/systemgruppe. Dette sikrer utilsigtet sletning af brugere/grupper der ikke er systembrugere/systemgrupper. Derudover, hvis brugeren ikke findes, så returneres der ikke en fejlværdi. Denne indstilling er hovedsagelig for brug i vedligeholdelsesskripter for Debianpakker.

--backup
    Lav sikkerhedskopi for alle filer indeholdt i filerne userhome og mailspool til en fil med navnet /$user.tar.bz2 eller /$user.tar.gz.

--backup-to
    Placer ikke sikkerhedskopieringerne i / men i mappen angivet af denne parameter. Dette angiver implicit også --backup.

--remove-home
    Fjern hjemmemappen for brugeren og dennes postpulje. Hvis --backup er angivet, så slettes filerne efter sikkerhedskopieringen.

--remove-all-files
    Fjern alle filer fra systemet ejet af denne bruger. Bemærk: --remove-home har ikke længere en effekt. Hvis --backup er angivet, så slettes filerne efter sikkerhedskopieringen.

--version
    Vis version og information om ophavsret.

RETURVÆRDI

0   Handlingen blev udført.

1   Brugeren til sletning var ikke en systemkonto. Ingen handling blev udført.

2   Der er ingen sådan bruger. Ingen handling blev udført.

3   En sådan gruppe findes ikke. Ingen handling blev udført.

4   Intern fejl. Ingen handling blev udført.

5   Gruppen til sletning er ikke tom. Ingen handling blev udført.

6   Brugeren tilhører ikke den angivne gruppe. Ingen handling blev udført.

7   Du kan ikke fjerne en bruger fra dets primære gruppe. Ingen handling blev udført.

8   Den krævede perlpakke »perl modules« er ikke installeret. Denne pakke er krævet for at udføre de anmodte handlinger. Ingen handling blev udført.

9   For fjernelse af administratorkontoen (root) er parameteren »--force« krævet. Ingen handling blev udført.

FILER
/etc/deluser.conf

SE OGSÅ
deluser.conf(5), adduser(8), userdel(8), groupdel(8)

OPHAVSRET
Ophavsret 2000 Roland Bauerschmidt. Ændringer (C) 2004 Marc Haber og Joerg Hoh. Denne manualside og programmet deluser er baseret på adduser som er:
Ophavsret 1997, 1998, 1999 Guy Maor.
Ophavsret 1995 Ted Hajek, med en stor del lånt fra den oprindelige Debian adduser
Ophavsret 1994 Ian Murdock. deluser er frit programmel; se GNU General Public Licence version 2 eller senere for kopieringsbetingelser. Der er ingen garanti.